﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Order";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@Styles.Render("~/common/css/pages/purchase.css")
<div class="purchase" data-aos="fade-in" data-aos-duration="2000" style="margin-bottom:20px;">
    <div class="purchase-caption-inner" style="width:100%;">
        <span style="justify-content:center;font-size:16px;">골드  수량 :@ViewBag.amount 개</span>
    </div>
</div>
@if (Model != null && Model.tab1.Count != 0)
{
    foreach (var item in Model.tab1)
    {
        <div class="order-table" data-aos="fade-left" data-aos-duration="2000">
            <table style="width:100%;" border="0">
                <tr>
                    <td colspan="4"><img src="@Html.DisplayFor(modelItem => item.img)" alt="상품 이미지"></td>
                </tr>
                <tr>
                    <td colspan="4" style="border-bottom: solid 1px; background: linear-gradient(to right, rgb(37 37 37), rgb(173 173 173))">@Html.DisplayFor(modelItem => item.name)</td>
                </tr>
                <tr>
                    <td>
                        <table style="width:100%;" border="0">
                            <tr>
                                <td style="font-size: initial;">
                                    구매신청및입금대기
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    @{
                                        var url = string.Format(
                                            "/Order/Order_apply/?Token={0}",
                                            @Uri.EscapeDataString(item.token.ToString()));
                                    }
                                    <a href="@url">@Html.DisplayFor(modelItem => item.buy)</a>
                                </td>
                                
                            </tr>
                        </table>
                    </td>

                    <td>
                        <table style="width:100%;" border="0">
                            <tr>
                                <td>
                                    @using (Html.BeginForm("", "Order", FormMethod.Post))
                                    {
                                        <input type="hidden" name="token" id="token" value="@Html.DisplayFor(modelItem => item.token)" />
                                        <input type="hidden" name="status" value="add" />
                                        <button type="submit" style="font-size: initial;">구매대기</button>
                                    }
                                </td>
                            </tr>
                            <tr>
                                <td>@Html.DisplayFor(modelItem => item.appv)</td>
                            </tr>
                        </table>
                    </td>

                    <td>
                        <table style="width:100%;" border="0">
                            <tr>
                                <td>
                                    @using (Html.BeginForm("", "Order", FormMethod.Post))
                                    {
                                        <input type="hidden" name="token" id="token" value="@Html.DisplayFor(modelItem => item.token)" />
                                        <input type="hidden" name="status" value="com" />
                                        <button type="submit" style="font-size: initial;">구매완료</button>
                                    }
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    @Html.ActionLink(item.complete.ToString(), "", new { id = 3 })
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
    }
}

<div class="purchase-list">
    <div class="purchase-list-title">List</div>
    @if (Model != null && Model.tab2.Count() != 0)
    {
        foreach (var item in Model.tab2)
        {
            <div class="purchase-list-inner">
                <div class="purchase-list-contain">
                    <div class="purchase-list-contain-img">
                        <img src="@Html.DisplayFor(modelItem => item.img)" alt="상품 이미지">
                    </div>
                    <div class="purchase-list-contain-inner">
                        <h3>@Html.DisplayFor(modelItem => item.name)</h3>
                        <div class="purchase-list-caption-inner"><span style="text-align: left;">신청일</span>@Html.DisplayFor(modelItem => item.create_date)</div>
                        <div class="purchase-list-caption-inner"><span style="text-align: left;">매칭시간</span>22:00 ~ 06:00</div>
                        <div class="purchase-list-caption-inner"><span style="text-align: left;">가격</span>@Html.DisplayFor(modelItem => item.price)</div>
                        <div class="purchase-list-caption-inner">
                            @{
                                if (item.status == 1)
                                {
                                    <input type="button" value="신청 취소" onclick="doCancel('@Html.DisplayFor(modelItem => item.token)');" style="color:#000;">
                                }
                                if (item.status == 2)
                                {
                                    <span style="width: 200px;text-align: left;">승인 대기 중/รออนุมติ</span>
                                }
                                if (item.status == 3)
                                {
                                    <span style="width: 200px;text-align: left;">성공/สำเร็จ</span>
                                }
                            }


                        </div>
                    </div>
                </div>
            </div>
        }
    }
</div>

<script type="text/javascript">
    function doSearch(s_order) {
        location.href = "?s_order=" + s_order;
    }

    function doApply(reg_no) {
        location.href = "./order_apply.asp?reg_no=" + reg_no;
    }

    function doReport(reg_no, status) {
        location.href = "./order_report.asp?reg_no=" + reg_no + "&status=" + status;
    }

    function doCancel(reg_no) {
        if (confirm("구매 신청을 취소하시겠습니까?")) {
            $.ajax({
                type: "POST",
                url: "/Order/Cancel",
                data: "{'token':'" + reg_no + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '0') {
                        alert(msg.errmsg);
                        location.reload();
                    } else {
                        alert(msg.errmsg);
                    }
                }
            });
        }
    }
</script>